API level 30 upgrade: AOSP/Calendar

The AndroidManifest.xml file of the AOSP Calendar app
has been upgrade so that its targetSDKversion is 30.

Test: manual - after the change, the Calendar app
built, initialized, and ran successfully with all of
the UI features functioning properly. Unit tests for
calendar were also run and the output can be seen below:

com.android.calendar.FormatDateRangeTest:.
com.android.calendar.UtilsTests:..................
com.android.calendar.WeekNumberTest:.
com.android.calendar.widget.CalendarAppWidgetServiceTest:..
Test results for InstrumentationTestRunner=......................
Time: 0.203

OK (22 tests)

General CTS tests were run as well and the output
is below:

================= Results ==================
=============== Consumed Time ==============
    arm64-v8a CtsProviderTestCases: 14m 0s
Total aggregated tests run time: 14m 0s
============== TOP 1 Slow Modules ==============
    arm64-v8a CtsProviderTestCases: 0.45 tests/sec [376 tests / 840170 msec]
============== Modules Preparation Times ==============
    arm64-v8a CtsProviderTestCases => prep = 8439 ms || clean = 2153 ms
Total preparation time: 8s  ||  Total tear down time: 2s
=======================================================
=============== Summary ===============
Total Run time: 15m 38s
1/1 modules completed
Total Tests       : 376
PASSED            : 362
FAILED            : 0
IGNORED           : 6
ASSUMPTION_FAILURE: 8
============== End of Results ==============

Change-Id: If7c8b12fb37b126ebc0d00df8f0d65730e631c20
diff --git a/AndroidManifest.xml b/AndroidManifest.xml
index c9c5a04..686be7a 100644
--- a/AndroidManifest.xml
+++ b/AndroidManifest.xml
@@ -38,7 +38,7 @@
     <uses-permission android:name="android.permission.READ_SYNC_SETTINGS" />
     <uses-permission android:name="android.permission.RECEIVE_BOOT_COMPLETED" />
     <uses-permission android:name="com.google.android.googleapps.permission.GOOGLE_AUTH.mail" />
-    <uses-sdk android:minSdkVersion="19" android:targetSdkVersion="29"></uses-sdk>
+    <uses-sdk android:minSdkVersion="19" android:targetSdkVersion="30"></uses-sdk>
 
 
     <application android:name="CalendarApplication"